Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.jar
Class JarURLConnectionImpl

    java.lang.Object
      java.net.URLConnection
          java.net.JarURLConnection
              org.apache.commons.vfs.provider.jar.JarURLConnectionImpl

public class JarURLConnectionImpl
extends JarURLConnection

A default URL connection that will work for most file systems.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Brian Olsen

Field Summary

Fields inherited from class java.net.JarURLConnection
`jarFileURLConnection`

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`JarURLConnectionImpl(JarFileObject file, FileContent content)`

Method Summary
`void` | `connect()`
`Attributes` | `getAttributes()`
`Certificate[]` | `getCertificates()`
`int` | `getContentLength()`
`String` | `getEntryName()`
`InputStream` | `getInputStream()`
`JarEntry` | `getJarEntry()`
`JarFile` | `getJarFile()`
`URL` | `getJarFileURL()`
`Manifest` | `getManifest()`
`OutputStream` | `getOutputStream()`

Methods inherited from class java.net.JarURLConnection
`getMainAttributes`

Methods inherited from class java.net.URLConnection
`addRequestProperty, getAllowUserInteraction, getContent, getContent, getContentEncoding, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFields, getIfModifiedSince, getLastModified, getPermission, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setRequestProperty, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JarURLConnectionImpl

    public JarURLConnectionImpl(JarFileObject file,
                                FileContent content)
                         throws MalformedURLException,
                                FileSystemException

Method Detail

### getJarFileURL

    public URL getJarFileURL()

### getEntryName

    public String getEntryName()

### getJarFile

    public JarFile getJarFile()
                       throws IOException

  Throws:
    `IOException`

### getManifest

    public Manifest getManifest()
                         throws IOException

  Throws:
    `IOException`

### getJarEntry

    public JarEntry getJarEntry()
                         throws IOException

  Throws:
    `IOException`

### getAttributes

    public Attributes getAttributes()
                             throws IOException

  Throws:
    `IOException`

### getCertificates

    public Certificate[] getCertificates()

### connect

    public void connect()

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Throws:
    `IOException`

### getOutputStream

    public OutputStream getOutputStream()
                                 throws IOException

  Throws:
    `IOException`

### getContentLength

    public int getContentLength()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.